package com.xhkjedu.sapi.controller.space;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.xhkjedu.sapi.model.space.TResource;
import com.xhkjedu.sapi.service.space.ResourceService;
import com.xhkjedu.sapi.vo.subjectbook.ResourceVo;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.utils.PageUtil;
import com.xhkjedu.vo.PageResult;
import com.xhkjedu.vo.ResultVo;
import org.springframework.util.CollectionUtils;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @ClassName ResourceController
 * Description 个人空间
 * Author WN
 * Date 2022/2/22 15:48
 **/
@RestController
@RequestMapping("/spr")
public class ResourceController {
    @Resource
    private ResourceService resourceService;

    //我的空间--网页端
    @PostMapping("/list")
    public ResultVo myList(@RequestBody TResource tResource) {
        Integer page = tResource.getPage();
        Integer pageSize = tResource.getPageSize();
        Integer createid = tResource.getCreateid();
        Integer level = tResource.getLevel();
        N_Utils.validation(new Object[]{page,"显示页码",1,pageSize,"显示条数",1,createid,"教师id",1
                ,level,"资源级别",1});
        PageHelper.startPage(page, pageSize);
        List<TResource> list = resourceService.listMyResource(tResource);
        PageResult pageResult = PageUtil.getPageResult(new PageInfo(list));
        return new ResultVo(0,"获取教师备课资源列表成功",pageResult);
    }

    //分享到校本资源
    @PostMapping("/share_school")
    public ResultVo shareSchool(@RequestBody TResource tResource) {
        String resourceid = tResource.getResourceid();
        String lsbid = tResource.getLsbid();
        String directorid = tResource.getDirectorid();
        Integer resourcetype = tResource.getResourcetype();
        Integer createid = tResource.getCreateid();
        N_Utils.validation(new Object[]{resourceid,"资源id",2,lsbid,"教材关系表id",2,directorid,"章节id",2
                ,resourcetype,"资源归类",1,createid,"教师id",1});
        tResource.setLevel(1);//资源级别1校本
        String id = resourceService.share(tResource);
        if(id.equals("99")){
            return new ResultVo(0,"该资源已分享过校本");
        }else{
            return new ResultVo(0,"分享成功",id);
        }
    }


}
